• Вопрос без рабочей ссылки на проблему считается риторическим. Без ссылки и скриншота - провокацией!
  • Темы озаглавленные с маленькой буквы или капсом удаляются без предупреждения!

Важно! Интеграция WooCommerce с 1С:Предприятие 8.x

CtepaN

Форумчанин
25.07.2019 20:29:55 Выгрузка на сайт завершилась с ошибками.
import.xml: Произошла ошибка на стороне сервера. Получен неизвестный статус импорта.
Ответ сервера:
PHP Notice:
Undefined property: wpdb::$woocommerce_termmeta in /var/www/santchez/data/www/pechnik.net/wp-includes/wp-db.php on line 666.


rollback
25.07.2019 20:29:58 Завершена выгрузка товаров
Похоже на несовпадение структуры выгружаемой информации с приемщиком. Если проще - выгружаете ячеек больше, чем это предусмотрено таблицей БД вашего сайта. Каждая строка должна совпадать ячейка-в-ячейку.
 

santchez

Новичок
Похоже на несовпадение структуры выгружаемой информации с приемщиком. Если проще - выгружаете ячеек больше, чем это предусмотрено таблицей БД вашего сайта. Каждая строка должна совпадать ячейка-в-ячейку.

Версия woocommerce 3.6.5. Версия плагина woocommerce-and-1centerprise-data-exchange - 0.7 - если откатить woocommerce до версии ниже чем 3.хх то выгрузка работает. Видимо у них было глобальное обновление и структура в бд изменилась. Есть тут кто с таким сталкивался? И кто сможет доработать плагин woocommerce-and-1centerprise-data-exchange чтобы он соответствовал woocommerce свежей версии?
 

CtepaN

Форумчанин
Версия woocommerce 3.6.5. Версия плагина woocommerce-and-1centerprise-data-exchange - 0.7 - если откатить woocommerce до версии ниже чем 3.хх то выгрузка работает. Видимо у них было глобальное обновление и структура в бд изменилась. Есть тут кто с таким сталкивался? И кто сможет доработать плагин woocommerce-and-1centerprise-data-exchange чтобы он соответствовал woocommerce свежей версии?
Если есть возможность сравнить таблицу до отката и после отката, а потом ручками доработать?
Сталкивался с конвертацией файлов выгрузки из 1С в другие форматы, но никогда под WEB, том более, под WP. Опыта такого нет. Не подскажу к сожалению.
 

ITGALAXY

Новичок
Здравствуйте, рекомендую ознакомиться с нашим плагином
WooCommerce 1C:Предприятие Обмен данными это плагин для WordPress, реализующий обмен данными между WooCommerce и системой учета 1С:Предприятие 8. Результатом работы является заполнение и обновление товарного каталога из 1C на сайте, а также обмен заказами. Работает с использованием протокола обмена между системой «1С:Предприятие» и сайтом. Данный открытый протокол разработан компаниями «1С» и «1С-Битрикс».
 

CtepaN

Форумчанин
Здравствуйте, рекомендую ознакомиться с нашим плагином
WooCommerce 1C:Предприятие Обмен данными это плагин для WordPress, реализующий обмен данными между WooCommerce и системой учета 1С:Предприятие 8. Результатом работы является заполнение и обновление товарного каталога из 1C на сайте, а также обмен заказами. Работает с использованием протокола обмена между системой «1С:Предприятие» и сайтом. Данный открытый протокол разработан компаниями «1С» и «1С-Битрикс».
Странно... Почему 1С:Предприятие? Логичнее было бы организовать обмен между Woo и УТ. Не?
 

ITGALAXY

Новичок
В описании есть информация по конфигурациям
Особенности:
Загрузка и обновление категорий.
Загрузка и обновление свойств товаров и их значений.
Загрузка и обновление товаров (и вариаций, если ведется учет по характеристикам), изображений, цен и остатков.
Поддержка полного обмена или только изменений.
Выгрузка заказов.
Возможность автоматической установки изображения категории (по первому товару с изображением).
Поддержка принятия данных в архиве.
Возможность управления размером части при передаче файлов из 1С.
Поддержка последовательной загрузки (полученные из 1С файлы обрабатываются с контролем времени исполнения).
Возможность выбора типа цен (если в выгрузке несколько).
Все настройки на сайте через административную панель.
Изображения для предпросмотра.

Обратите внимание:
Для работы плагина требуется версия PHP не ниже 5.4.
Для работы плагина требуется версия `WooCommerce` 3.*
Работает с конфигурацией «Управление торговлей» и другими, например, «Комплексная автоматизация», при условии, что конфигурация имеет возможность обмена с сайтом. Пожалуйста, уточняйте эту возможность у вашего 1С-специалиста.
 

tuxfighter

Гуру
Местный
Для работы плагина требуется версия PHP не ниже 5.4.
Внезапно, но стандарт для работы большинства плагинов и тем ВП - 7.х
А для ядра - 5.6.
Причем рекомендуемая версия - 7.3
Вы из анабиоза планируете выходить?
 

ITGALAXY

Новичок
К сожалению, множество сайтов до сих пор не обновили WordPress до последних версий и это связано с рядом причин - непонимание, устаревшее ПО на хостинге и т.д. Безусловно, устаревшее ПО это проблема, но его еще слишком много, чтобы не обращать на это внимания.

При этом заметим, что это минимальная версия, а не максимальная, то есть плагин будет работать на 5.4 - 7.3. Иметь поддержку от 5.4 не составляет труда, если вы не используете специфичные или низкоуровневые методы, а в большинстве случаев это не требуется, по этой причине поддержка версий может быть достаточно широкой.

В подтверждение наших слов, также обозначим, что высказывание про то, что большинство плагинов, имеет поддержку только 7.*+, достаточно опрометчивое. Рассмотрим требования первого попавшегося популярного плагин - https://kb.yoast.com/kb/plugin-requirements/ Как можно видеть, поддержка 5.4+

WordPress наконец сделал смелый шаг, увеличив минимальную версию php c 5.2 на 5.6, начиная с ветки 5.2, чем подтолкнул сообщество к использованию более нового ПО, но произошло это лишь в мае этого года. Не обновленных платформ еще достаточно много, именно по этой причине WordPress не забывает выпускать обновления безопасности по ряду предыдущих мажоров, не забывая об этом.
 
Сверху Снизу